Bug 5602 - Improve configurability of package building scripts
Summary: Improve configurability of package building scripts
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement with 1 vote (vote)
Assignee: Srdjan Jankovic
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 6722
  Show dependency treegraph
 
Reported: 2011-01-10 01:29 UTC by Robin Sheat
Modified: 2012-10-25 23:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
patch (6.61 KB, patch)
2011-04-27 07:29 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Updates to account for new version number (2.47 KB, patch)
2011-06-02 04:30 UTC, Robin Sheat
Details | Diff | Splinter Review
Signed off Patch (6.68 KB, patch)
2011-06-07 07:32 UTC, Chris Cormack
Details | Diff | Splinter Review
Signed off follow up Patch (2.55 KB, patch)
2011-06-07 07:33 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 5602 - [3.4.x] Rewrite of package building script (6.95 KB, patch)
2011-09-09 03:49 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2011-01-10 01:29:39 UTC
Currently the build-git-snapshot script has a lot of stuff hardcoded into it. In order to do custom packages, it's easier to let this be controlled by command-line arguments.
Comment 1 Srdjan Jankovic 2011-04-27 07:29:39 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2011-06-02 04:30:04 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2011-06-07 07:32:17 UTC
Created attachment 4391 [details] [review]
Signed off Patch
Comment 4 Chris Cormack 2011-06-07 07:33:04 UTC
Created attachment 4392 [details] [review]
Signed off follow up Patch
Comment 5 Paul Poulain 2011-08-03 15:28:47 UTC
QA comment

I don't set "passed QA", not because i've detected a problem, but because i'm unable to say anything about this patch from a QA point of view. I just can say it will be harmless to any Koha install, as it contains nothing related to Koha, it's related to Debian packaging

So letting Ian the final cut about that.

It's signed-off by chris, I would tend to think it's OK, but can't be sure.
Comment 6 Robin Sheat 2011-08-03 21:08:03 UTC
Not even just related to packaging, it only affects people who would be creating their own packages.

For what it's worth, we've been using it in production for a while now.
Comment 7 Magnus Enger 2011-08-03 21:11:28 UTC
I have also used this script successfully.
Comment 8 Chris Cormack 2011-08-03 22:28:28 UTC
Good enough for me, im pushing it.
Comment 9 Robin Sheat 2011-09-09 03:49:56 UTC
Created attachment 5370 [details] [review]
Bug 5602 - [3.4.x] Rewrite of package building script

Note: this is pulling in the most recent version from master. Working
with two different versions that have two different options was getting
painful, and it doesn't touch anything outside of debian/
Comment 10 Chris Nighswonger 2011-10-26 18:02:35 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.